Subject: [clisp-list] Q: "execute" and piping in DOS

From: [email-masked]
Date: Mon Feb 18 14:03:06 2002

I'm trying to adapt a CLISP program I normally run under UNIX to run under
DOS.  The UNIX version uses "run-program" to call numerous external programs
or shell commands, and the results of these program calls are piped (with
the run-program command) to an output file for later use by my program.  

I think I should be using "execute" for the DOS version, but I don't know
how to pipe the results that are written to the screen to an output file.   

Thanks,

Tara

*  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  
Tara C. Matise, Ph.D.           Associate Research Professor       
Department of Genetics       732-445-3125 (P)
Rutgers University              732-445-4972 (F)
              [email-masked]
              http://compgen.rutgers.edu

Nelson Biological Laboratories - B211
604 Allison Road
Piscataway, NJ  08854-8082

---

From: Sam Steingold <[email-masked]>
Date: Tue Feb 19 07:13:02 2002

> * In message <[email-masked]>
> * On the subject of "[clisp-list] Q: "execute" and piping in DOS"
> * Sent on Mon, 18 Feb 2002 17:01:25 -0500
> * Honorable [email-masked] writes:
>
> I'm trying to adapt a CLISP program I normally run under UNIX to run
> under DOS.  The UNIX version uses "run-program" to call numerous
> external programs or shell commands, and the results of these program
> calls are piped (with the run-program command) to an output file for
> later use by my program.

plain dos is not supported anymore.
win32 and OS/2 supports the same API - `run-program' - as UNIX.
see <http://clisp.cons.org/impnotes.html#shell> for details.

-- 
Sam Steingold (http://www.podval.org/~sds) running RedHat7.2 GNU/Linux
Keep Jerusalem united! <http://www.onejerusalem.org/Petition.asp>
Read, think and remember! <http://www.iris.org.il> <http://www.memri.org/>
A computer scientist is someone who fixes things that aren't broken.